Package com.usatiuk.dhfs.jmap

# Class JMapHelper

java.lang.Object
com.usatiuk.dhfs.jmap.JMapHelper

@Singleton public class JMapHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`JMapHelper()`

## Method Summary

Modifier and Type
Method
Description
`<K extends JMapKey>
void`
`delete(JMapHolder<K> holder, K key)`
`<K extends JMapKey>
void`
`deleteAll(JMapHolder<K> he)`
`<K extends JMapKey>
Optional<JMapEntry<K>>`
`get(JMapHolder<K> holder, K key)`
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
`getIterator(JMapHolder<K> holder)`
`<K extends JMapKey>
CloseableKvIterator<K,JMapEntry<K>>`
`getIterator(JMapHolder<K> holder, IteratorStart start, K key)`
`<K extends JMapKey>
void`
`put(JMapHolder<K> holder, K key, JObjectKey ref)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JMapHelper

public JMapHelper()

## Method Details

### getIterator

public <K extends JMapKey> CloseableKvIterator<K,JMapEntry<K>> getIterator(JMapHolder<K> holder, IteratorStart start, K key)

### getIterator

public <K extends JMapKey> CloseableKvIterator<K,JMapEntry<K>> getIterator(JMapHolder<K> holder)

### put

public <K extends JMapKey> void put(JMapHolder<K> holder, K key, JObjectKey ref)

### get

public <K extends JMapKey> Optional<JMapEntry<K>> get(JMapHolder<K> holder, K key)

### delete

public <K extends JMapKey> void delete(JMapHolder<K> holder, K key)

### deleteAll

public <K extends JMapKey> void deleteAll(JMapHolder<K> he)